
# check the command line arguments
if { $argc != 2} {
puts "Usage: <boot|fpga|app> <download file>\n Example: xmd -tcl bootmenu_batch_cyprus.tcl app y:/src/malta/trunk/rev4/image_h_dus_1_0_0_7.bin"
exit
}

# set download type (1 - boot, 4 - fpga (Cyprus FPGA), 3 - app)
switch [lindex $argv 0] {
	  boot {
	      set download_type 1
	  }
	  fpga {
	      set download_type 4
	  }
	  app {
	      set download_type 3
	  }
	  default {
	     puts "Unknow download type!"
		  exit
	  }
}

set download_name [lindex $argv 1]
# check if the download file exists
if { [file exists $download_name] } {
	set download_size [file size $download_name]
} else {
	puts "The download file does not exist!"
	exit
}

source xmd.ini

# reset target so that existing app does not get in the way
rst

# write download type (1 - boot, 2 - fpga, 3 - app) at 0x20400000
mwr 0x20400000 $download_type
# write file size at 0x20400004
mwr 0x20400004 $download_size
# write the file itself at 0x20400008
dow -data $download_name 0x20400008
# download and start the bootmenu
dow -data bootmenu_batch.bin 0x20000000
con 0x20000000
